using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Telerik.Web.UI;

public partial class _Default : System.Web.UI.Page
{
    protected override void OnInit(EventArgs e)
    {
        base.OnInit(e);
    }

    protected override void OnLoad(EventArgs e)
    {
        base.OnLoad(e);

        if (!IsPostBack)
        {
            XmlDataSource1.Data = @" <?xml version='1.0' encoding='UTF-8'?> 
                <Customers> 
                    <Customer ContactName='Maria Anders' CompanyName='Alfreds Futterkiste' CustomerID='0'></Customer> 
                    <Customer ContactName='Ana Trujillo' CompanyName='Antonio Moreno Taquería' CustomerID='1'></Customer>
                    <Customer ContactName='Antonio Moreno' CompanyName='Around the Horn' CustomerID='2'></Customer>
                    <Customer ContactName='Thomas Hardy' CompanyName='Berglunds snabbköp' CustomerID='3'></Customer>
                    <Customer ContactName='Christina Berglund' CompanyName='Blauer See Delikatessen' CustomerID='4'></Customer>
                </Customers>";
            RadGrid1.Rebind();
        }
        else
        {
            XmlDataSource1.Data = "<root />";
        }
    }
}
